Taslak Klonla

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Clone and the translation is 10% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Stretch.svg Stretch
Next: OrthoArray Draft OrthoArray.svg Arrow-right.svg

Draft Clone.svg Klonla

Menü konumu
Taslak → Klonla
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
C L
Versiyonda tanıtıldı
-
Ayrıca bkz
Taşı, Ölçek

Description

Açıklama

Taslak Klonlama aracı, seçilen bir şeklin bağlantılı kopyalarını oluşturur. Bu, eğer orijinal nesne şeklini ve özelliklerini değiştirirse, tüm klonların da değiştiği anlamına gelir. Bununla birlikte, her bir klon benzersiz konumunu, dönüşünü ve ölçeğini ve ayrıca şekil rengi, çizgi genişliği ve saydamlık gibi görünüm özelliklerini korur.

Klonla aracı, Taslak tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ancak Parça tezgahı, Parça tasarım tezgahı ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.

Draft Clone example.jpg

Klonla Orijinal nesnenin yanındadır

Usage

Nasıl kullanılır

  1. Klonlamak istediğiniz nesneyi seçin.
  2. Draft Clone.svg Klonla düğmesine basın.

Properties

See also: Property editor.

An object created with the Draft Clone command is derived from a Part Part2DObject, a Part Feature object or, if an Arch Clone is created, from the object type of the source object. It inherits all properties from that object. A clone derived from one of the first two objects also has the following additional properties:

Data

Draft

Özellikleri

  • Veri Nesneler: Klonlanan temel nesnelerin bir listesini belirtir.
  • Veri Ölçek: Klon için her X, Y ve Z yönünde ölçeklendirme faktörünü belirtir.
  • Veri Fuse: eğer true ve Veri Nesneler birbiriyle kesişen birçok şekil içeriyorsa, ortaya çıkan klon onları birlikte tek bir şekilde birleştirir veya bir bileşik oluşturur Bunların 0.17 sürümünde kullanılabilir

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Klonla aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • Tek bir nesne veya nesne listesi olabilen obj içinden cloned_object oluşturur.
  • Eğer verilirse, delta yeni klonu temel nesnenin orijinal konumundan uzağa hareket ettiren bir FreeCAD.Vector.
  • forcedraft True ise, elde edilen nesne, obj bir Yapı tezgahı olsa bile, bir Taslak klonu olacak ve bir Yapı klonu olmayacaktır.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()